/**************************************************/
/*  (c) 1994 by S Leuker, all rights reserved.    */
/*  This source code may be used as a basis for   */
/*  a server managing distributred objects.       */
/*  It is part of nettalkd, the server managing   */
/*  NetTalk clients.                              */
/**************************************************/

#import "../NetTalk.h"
#import <objc/Object.h>
#import <remote/NXProxy.h>
#import <bsd/sys/param.h>

@class List;

@interface NetTalkServer : Object <NXSenderIsInvalid, NTKPserver, NTKPtrading>
{
	List *clientList;
	List *channelList;
	id    connection;
	id    serverStarter;
	float timeOut;
}

- init;
- run;

- setTimeOut:(float)aTime;
- (float) timeOut;

@end

